### db_stat

`

###

    db_stat -d file [-fN] [-h home] [-P password] [-s database]
    db_stat [-celmNrtVZ] [-C Aclmop] [-h home] [-M Ahm] [-P password]

### Description

The db_stat utility displays statistics for Berkeley DB environments.

The options are as follows:

-C
  Display internal information about the lock region. (The output from this option is often both voluminous and meaningless, and is intended only for debugging.)

  A
    Display all information.
  c
    Display lock conflict matrix.
  l
    Display lockers within hash chains.
  m
    Display region memory information.
  o
    Display objects within hash chains.
  p
    Display lock region parameters.

-c
  Display lock region statistics, as described in DB_ENV->lock_stat.

-d
  Display database statistics for the specified file, as described in DB->stat.

  If the database contains multiple databases and the -s flag is not specified, the statistics are for the internal database that describes the other databases the file contains, and not for the file as a whole.

-e
  Display current environment statistics.

-f
  Display only those database statistics that can be acquired without traversing the database.

-h
  Specify a home directory for the database environment; by default, the current working directory is used.

-l
  Display log region statistics, as described in DB_ENV->log_stat.

-M
  Display internal information about the shared memory buffer pool. (The output from this option is often both voluminous and meaningless, and is intended only for debugging.)

  A
    Display all information.
  h
    Display buffers within hash chains.
  m
    Display region memory information.

-m
  Display shared memory buffer pool statistics, as described in DB_ENV->memp_stat.

-N
  Do not acquire shared region mutexes while running. Other problems, such as potentially fatal errors in Berkeley DB, will be ignored as well. This option is intended only for debugging errors, and should not be used under any other circumstances.

-P
  Specify an environment password. Although Berkeley DB utilities overwrite password strings as soon as possible, be aware there may be a window of vulnerability on systems where unprivileged users can see command-line arguments or where utilities are not able to overwrite the memory containing the command-line arguments.

-r
  Display replication statistics, as described in DB_ENV->rep_stat.

-s
  Display statistics for the specified database contained in the file specified with the -d flag.

-t
  Display transaction region statistics, as described in DB_ENV->txn_stat.

-V
  Write the library version number to the standard output, and exit.

-Z
  Reset the statistics after reporting them; valid only with the -c, -e, -l, -m, and -t options.

Values normally displayed in quantities of bytes are displayed as a combination of gigabytes (GB), megabytes (MB), kilobytes (KB), and bytes (B). Otherwise, values smaller than 10 million are displayed without any special notation, and values larger than 10 million are displayed as a number followed by "M".

The db_stat utility may be used with a Berkeley DB environment (as described for the -h option, the environment variable DB_HOME, or because the utility was run in a directory containing a Berkeley DB environment). In order to avoid environment corruption when using a Berkeley DB environment, db_stat should always be given the chance to detach from the environment and exit gracefully. To cause db_stat to release all environment resources and exit cleanly, send it an interrupt signal (SIGINT).

The db_stat utility exits 0 on success, and >0 if an error occurs.

### Environment Variables

DB_HOME
  If the -h option is not specified and the environment variable DB_HOME is set, it is used as the path of the database home, as described in DB_ENV->open.

`

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.